Bug 736381 - [RFE] Provide call to remove virt guest entries
Summary: [RFE] Provide call to remove virt guest entries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API
Version: 1.6
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space16
TreeView+ depends on / blocked
 
Reported: 2011-09-07 14:44 UTC by Milan Zázrivec
Modified: 2018-11-14 14:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 732091
Environment:
Last Closed: 2011-12-22 16:47:55 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2011-09-07 14:44:45 UTC
+++ This bug was initially created as a clone of Bug #732091 +++

This bug is a request for a new API call to delete virtualization
host's guest profiles (visible for example under Virtualization tab).

Comment 1 Milan Zázrivec 2011-09-07 15:15:50 UTC
New API: system.deleteGuestProfiles()
    
New API call to delete virt. guest profiles for a given host
    
The call accepts following arguments:
* hostId: ID of the host system (integer)
* guestNames: list of guest profile names (list of strings)
   
In case of success, the call returns 1, traceback otherwise.

spacewalk.git master: 385c61bfcd80b4bee37196f6ba0106f9928b034e

Comment 2 Tomas Lestach 2011-10-20 14:43:31 UTC
Adding api doc ...

spacewalk.git: e68b8332f499434e72f0dd0e39094a4c04fa8153

Comment 3 Milan Zázrivec 2011-12-22 16:47:55 UTC
Spacewalk 1.6 has been released.


Note You need to log in before you can comment on or make changes to this bug.